Bug 141950 - SATA system does not boot after installation
Summary: SATA system does not boot after installation
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: grub   
(Show other bugs)
Version: 4.0
Hardware: ia32e
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-06 10:59 UTC by Winfrid Tschiedel
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 15:22:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Winfrid Tschiedel 2004-12-06 10:59:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
Intel DDR2 Jarrell SATA system fails in grub-loader with 
Error 13: Invalid or unsupported executable format

The system was okay with the previous rhel-3.0-u3 / fedora core 2 
installation. 

The system worked after using "grub" from SLES9.

Version-Release number of selected component (if applicable):
grub-0.95.3

How reproducible:
Always

Steps to Reproduce:
1. Have a Intel SATA Jarrell System 
2. Install a system which has grub-0.95-3
3. Use this boot-loader
    

Actual Results:  Error 13 .....

Expected Results:  System boots 

Additional info:

Same error happens with fedora Core 3, which uses also grub-0.95.3

Error does not happen on Intel SCSI Jarrell System

Comment 1 Jeremy Katz 2004-12-06 16:06:03 UTC
This means that what's being read off of the filesystem doesn't appear
to be a valid kernel image.  

Could you please provide more information on what a "Jarrell" system is?

Comment 2 Winfrid Tschiedel 2004-12-06 16:44:59 UTC
The Intel Jarrell System has a  motherboard  with 7520 chipset and 
nocona processors and DDR2 memory and sata onboard (ata_piix driver) 
and optional scsi onboard. 
 
There is no problem when using SCSI discs but with the SATA 
discs the described error occurs. 
 
I can boot my system, when I copy the lines from the grub/menu.lst  
title rhel ..... 
  root (hd.... 
  ... 
 
to a different grub/menu.lst ( e.g. from SuSE/SLES ) 
and boot my system via this menu. 
 
I suppose, it would also work if I use the grub-loader of 
rhel-3.0 oder fedora core 2. 

Comment 3 Winfrid Tschiedel 2004-12-13 07:47:28 UTC
Bug is fixed with upgrade to grub-0.95-3.1

Please provide this fix also to fedora core 3.

Winfrid

Comment 5 Jay Turner 2005-01-24 15:22:04 UTC
Closing out based on comment 3.


Note You need to log in before you can comment on or make changes to this bug.